Bug 180690 - japanese/skk-tools: Update to version 1.3.3
Summary: japanese/skk-tools: Update to version 1.3.3
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Martin Wilke
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-07-20 19:10 UTC by tkato432
Modified: 2014-03-11 02:40 UTC (History)
0 users

See Also:


Attachments
japanese_skk-tools.diff (3.23 KB, patch)
2013-07-20 19:10 UTC, tkato432
no flags Details | Diff
japanese_skk-tools.diff.uue (4.37 KB, application/octet-stream)
2013-08-18 18:51 UTC, tkato432
no flags Details
japanese_skk-tools.diff.uue (5.31 KB, application/octet-stream)
2013-10-31 19:25 UTC, tkato432
no flags Details
japanese_skk-tools.diff.uue (6.03 KB, application/octet-stream)
2014-02-28 17:52 UTC, tkato432
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description tkato432 2013-07-20 19:10:02 UTC
- Update to version 1.3.3

Remove file:
files/patch-skkdic-expr.c
Comment 1 Martin Wilke freebsd_committer 2013-07-20 19:58:33 UTC
Responsible Changed
From-To: freebsd-ports-bugs->miwi

I'll take it.
Comment 2 tkato432 2013-08-18 18:51:10 UTC
Remake of the patch against current tree.
Comment 3 Bryan Drewery freebsd_committer 2013-09-22 15:10:27 UTC
Responsible Changed
From-To: miwi->freebsd-ports-bugs

Back to the heap due to timeout
Comment 4 tkato432 2013-10-31 19:25:37 UTC
Remake of the patch against current tree.
Comment 5 Martin Wilke freebsd_committer 2014-01-23 15:45:36 UTC
Responsible Changed
From-To: freebsd-ports-bugs->miwi

I'll take it.
Comment 6 Martin Wilke freebsd_committer 2014-02-27 09:50:23 UTC
State Changed
From-To: open->feedback

this dosent apply properly anymore could u please recheck.
Comment 7 tkato432 2014-02-28 17:52:02 UTC
Here is the corrected patch.
Comment 8 Martin Wilke freebsd_committer 2014-03-11 02:33:25 UTC
State Changed
From-To: feedback->closed

Committed. Thanks!
Comment 9 dfilter service freebsd_committer 2014-03-11 02:33:25 UTC
Author: miwi
Date: Tue Mar 11 02:33:17 2014
New Revision: 347829
URL: http://svnweb.freebsd.org/changeset/ports/347829
QAT: https://qat.redports.org/buildarchive/r347829/

Log:
  - Update to 1.3.3
  
  PR:		180690
  Submitted by:	Ports Fury

Deleted:
  head/japanese/skk-tools/files/
Modified:
  head/japanese/skk-tools/Makefile
  head/japanese/skk-tools/distinfo

Modified: head/japanese/skk-tools/Makefile
==============================================================================
--- head/japanese/skk-tools/Makefile	Tue Mar 11 02:32:16 2014	(r347828)
+++ head/japanese/skk-tools/Makefile	Tue Mar 11 02:33:17 2014	(r347829)
@@ -2,7 +2,7 @@
 # $FreeBSD$
 
 PORTNAME=	skk-tools
-PORTVERSION=	1.3.2
+PORTVERSION=	1.3.3
 PORTEPOCH=	1
 CATEGORIES=	japanese
 MASTER_SITES=	RINGSERVER/elisp/skk/tools \
@@ -14,10 +14,6 @@ COMMENT=	Jisyo-tools for the SKK Japanes
 
 LICENSE=	GPLv2
 
-OPTIONS_DEFINE=	EXPR2
-OPTIONS_DEFAULT=	EXPR2
-EXPR2_DESC=	Build skkdic-expr2 (needs glib-2.x)
-
 GNU_CONFIGURE=	yes
 
 DOCSDIR=	${PREFIX}/share/doc/skk
@@ -25,25 +21,28 @@ DOCSDIR=	${PREFIX}/share/doc/skk
 PORTDOCS=	README.skktools
 PLIST_FILES=	bin/skkdic-count bin/skkdic-expr bin/skkdic-sort
 
-NO_STAGE=	yes
+OPTIONS_DEFINE=		DOCS EXPR2
+OPTIONS_DEFAULT=	EXPR2
+
+EXPR2_DESC=		Build skkdic-expr2 (needs glib-2.x)
+EXPR2_USES=		pkgconfig
+EXPR2_USE=		GNOME=glib20
+EXPR2_PLIST_FILES=	bin/skkdic-expr2
+EXPR2_CONFIGURE_WITH=	skkdic-expr2
+
 .include <bsd.port.options.mk>
 
 .if ${PORT_OPTIONS:MEXPR2}
-USE_GNOME=	glib20
-USES+=		pkgconfig
 PORTDOCS+=	README.skkdic-expr2
-PLIST_FILES+=	bin/skkdic-expr2
-.else
-CONFIGURE_ARGS=	--without-skkdic-expr2
 .endif
 
+post-build:
+	@${LN} -sf README.C ${WRKSRC}/READMEs/README.skktools
+
 post-install:
-.if ${PORT_OPTIONS:MDOCS}
-	@${MKDIR} ${DOCSDIR}
-	${INSTALL_DATA} ${WRKSRC}/READMEs/README.C ${DOCSDIR}/README.skktools
-.if ${PORT_OPTIONS:MEXPR2}
-	${INSTALL_DATA} ${WRKSRC}/READMEs/README.skkdic-expr2 ${DOCSDIR}
-.endif
-.endif
+	@${MKDIR} ${STAGEDIR}${DOCSDIR}
+.for i in ${PORTDOCS}
+	(cd ${WRKSRC}/READMEs && ${INSTALL_DATA} ${i} ${STAGEDIR}${DOCSDIR})
+.endfor
 
 .include <bsd.port.mk>

Modified: head/japanese/skk-tools/distinfo
==============================================================================
--- head/japanese/skk-tools/distinfo	Tue Mar 11 02:32:16 2014	(r347828)
+++ head/japanese/skk-tools/distinfo	Tue Mar 11 02:33:17 2014	(r347829)
@@ -1,2 +1,2 @@
-SHA256 (skktools-1.3.2.tar.gz) = cd1cc9d6d9674d70bbc69f52ac1d1a99a8067dd113a0fa1d50685a29e58a6791
-SIZE (skktools-1.3.2.tar.gz) = 273594
+SHA256 (skktools-1.3.3.tar.gz) = 0b4c17b6ca5c5147e08e89e66d506065bda06e7fdbeee038e85d7a7c4d10216d
+SIZE (skktools-1.3.3.tar.gz) = 285219
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"